// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// Policy is an autogenerated mock type for the Policy type
type Policy struct {
	mock.Mock
}

// Sanitize provides a mock function with given fields: _a0
func (_m *Policy) Sanitize(_a0 string) string {
	ret := _m.Called(_a0)

	var r0 string
	if rf, ok := ret.Get(0).(func(string) string); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
